%global npm_name tar
%global enable_tests 1

Name: nodejs-%{npm_name}
Version: 6.0.5
%define  subrel 1
Release: %mkrel 1
Summary: tar for node
License: ISC
Group: Development/Other
URL: https://github.com/npm/node-tar#readme
Source0: https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
#
# Security patches
# P100 -> ...
#
Patch100:      CVE-2021-32803.patch
Patch101:      CVE-2021-32804.patch
Patch102:      CVE-2021-37701.patch
Patch103:      CVE-2021-37712.patch
BuildRequires: nodejs-packaging
Requires: npm(chownr)
Requires: npm(fs-minipass)
Requires: npm(minipass)
Requires: npm(minizlib)
Requires: npm(mkdirp)
Requires: npm(safe-buffer)
Requires: npm(yallist)
BuildArch: noarch

%description
%{summary}

%prep
%setup -q -n package
%autopatch -p1

%build
# Nothing to do here

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr index.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr lib %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check
%endif

%files
%{nodejs_sitelib}/%{npm_name}
%license LICENSE
%doc README.md



%changelog
* Wed Nov 24 2021 neoclust <neoclust> 6.0.5-1.1.mga8
+ Revision: 1759116
- Add P100 -> 103: Fixes CVE-2021-32803, CVE-2021-32804, CVE-2021-37701 and CVE-2021-37712 (mga#29656)

* Thu Dec 31 2020 neoclust <neoclust> 6.0.5-1.mga8
+ Revision: 1667385
- New version 6.0.5

* Fri Oct 02 2020 kekepower <kekepower> 6.0.2-1.mga8
+ Revision: 1631584
- Update to version 6.0.2

* Wed Feb 12 2020 umeabot <umeabot> 4.4.2-3.mga8
+ Revision: 1503249
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 4.4.2-2.mga7
+ Revision: 1281025
- Mageia 7 Mass Rebuild

* Wed May 02 2018 kekepower <kekepower> 4.4.2-1.mga7
+ Revision: 1224922
- imported package nodejs-tar

